Package org.opensaml.core.config

# Interface Initializer

All Known Implementing Classes:
  `AbstractXMLObjectProviderInitializer`, `ApacheXMLSecurityInitializer`, `BouncyCastleInitializer`, `ClientTLSValidationConfiguratonInitializer`, `DecryptionParserPoolInitializer`, `GlobalAlgorithmRegistryInitializer`, `GlobalKeyAgreementProcessorRegistryInitializer`, `GlobalNamedCurveRegistryInitializer`, `GlobalParserPoolInitializer`, `GlobalSecurityConfigurationInitializer`, `HttpClientSecurityConfigurationInitalizer`, `JavaCryptoValidationInitializer`, `MetricRegistryInitializer`, `SAMLConfigurationInitializer`, `SOAPConfigurationInitializer`, `TestXMLObjectProviderInitializer`, `XMLObjectProviderInitializer`, `XMLObjectProviderInitializer`, `XMLObjectProviderInitializer`, `XMLObjectProviderInitializer`, `XMLObjectProviderInitializer`, `XMLObjectProviderInitializer`, `XMLObjectProviderInitializer`

public interface Initializer
Interface for classes responsible for initializing some bit of library configuration or state.

An initializer would typically be called by invoking the `InitializationService`, which in turn locates the registered initializers via the Java Services API.

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`
Perform the initialization process encompassed by the implementation.

## Method Details

### init

void init() throws InitializationException
Perform the initialization process encompassed by the implementation.

Throws:
  `InitializationException` - if initialization could not be completed successfully